org.apache.lucene.search.vectorhighlight

## Class FieldTermStack.TermInfo

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldTermStack.TermInfo

All Implemented Interfaces:
  Comparable<FieldTermStack.TermInfo>

Enclosing class:
  FieldTermStack

    public static class FieldTermStack.TermInfo
    extends Object
    implements Comparable<FieldTermStack.TermInfo>

Single term with its position/offsets in the document and IDF weight

### Constructor Summary

Constructors
Constructor and Description
`FieldTermStack.TermInfo(String text, int startOffset, int endOffset, int position, float weight)`

### Method Summary

Methods
`int` `compareTo(FieldTermStack.TermInfo o)`
`int` `getEndOffset()`
`int` `getPosition()`
`int` `getStartOffset()`
`String` `getText()`
`float` `getWeight()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldTermStack.TermInfo

    public FieldTermStack.TermInfo(String text,
                           int startOffset,
                           int endOffset,
                           int position,
                           float weight)

### Method Detail

#### getText

    public String getText()

#### getStartOffset

    public int getStartOffset()

#### getEndOffset

    public int getEndOffset()

#### getPosition

    public int getPosition()

#### getWeight

    public float getWeight()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### compareTo

    public int compareTo(FieldTermStack.TermInfo o)

Specified by:
  `compareTo` in interface `Comparable<FieldTermStack.TermInfo>`